Documentation Index
Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
Use this file to discover all available pages before exploring further.
Server path: /dnsfilter | Type: Application | PCID required: Yes
dnsfilter_create_ip_address
Create
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
ip_address | object | Yes | — | IP address creation request parameters |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ip_address": {
"type": "object",
"description": "IP address creation request parameters",
"properties": {
"address": {
"type": "string",
"description": "IP address"
},
"organization_id": {
"type": "integer",
"description": "Organization ID that the IP address belongs to"
},
"network_id": {
"type": "integer",
"description": "Network ID that the IP address belongs to"
},
"dynamic_hostname": {
"type": "string",
"description": "Dynamic hostname of the IP address"
}
},
"required": [
"address",
"organization_id",
"network_id"
]
}
},
"required": [
"PCID",
"ip_address"
]
}
dnsfilter_get_application_category
Show category
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
id | integer | Yes | — | Application category ID |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Application category ID"
}
},
"required": [
"PCID",
"id"
]
}
Show
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
organization_id | integer | Yes | — | User organization ID |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_id": {
"type": "integer",
"description": "User organization ID"
}
},
"required": [
"PCID",
"organization_id"
]
}
dnsfilter_get_category
Show category
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
id | integer | Yes | — | Category ID |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Category ID"
}
},
"required": [
"PCID",
"id"
]
}
dnsfilter_get_ip_address
Show IP
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
id | integer | Yes | — | IP address ID |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "IP address ID"
}
},
"required": [
"PCID",
"id"
]
}
dnsfilter_list_all_categories
Get all
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_all_ip_addresses
Get all
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_all_mac_addresses
Get all
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
organization_ids | integer[] | No | — | Organization IDs, defaults to user organization ID |
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Organization IDs, defaults to user organization ID"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_application_categories
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_applications
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
category_ids | integer[] | No | — | Category IDs, defaults to all |
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"category_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Category IDs, defaults to all"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_block_pages
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
organization_id | integer | No | — | Organization ID |
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_id": {
"type": "integer",
"description": "Organization ID"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_categories
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_invoices
Get invoices
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
organization_id | integer | Yes | — | User organization ID |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_id": {
"type": "integer",
"description": "User organization ID"
}
},
"required": [
"PCID",
"organization_id"
]
}
dnsfilter_list_ip_addresses
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
page | object | No | — | Page number and size |
search | string | No | — | Search specific IP information |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
},
"search": {
"type": "string",
"description": "Search specific IP information"
}
},
"required": [
"PCID"
]
}
dnsfilter_list_mac_addresses
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
organization_ids | integer[] | No | — | Organization IDs, defaults to user organization ID |
page | object | No | — | Page number and size |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Organization IDs, defaults to user organization ID"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
}
},
"required": [
"PCID"
]
}
dnsfilter_list_networks
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
basic_info | boolean | No | — | Return most basic Network Info only. Defaults to False |
count_network_ips | boolean | No | — | Return count of IP Addresses. Defaults to False |
force_truncate_ips | boolean | No | — | Return Network info without IP Addresses. Defaults to False |
page | object | No | — | Page number and size |
protected | boolean | No | — | Filter networks with assigned policy |
search | string | No | — | Search for the given value among the network name, hostname, ip address, etc. |
unprotected | boolean | No | — | Filter networks without assigned policy |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"basic_info": {
"type": "boolean",
"description": "Return most basic Network Info only. Defaults to False"
},
"count_network_ips": {
"type": "boolean",
"description": "Return count of IP Addresses. Defaults to False"
},
"force_truncate_ips": {
"type": "boolean",
"description": "Return Network info without IP Addresses. Defaults to False"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
},
"protected": {
"type": "boolean",
"description": "Filter networks with assigned policy"
},
"search": {
"type": "string",
"description": "Search for the given value among the network name, hostname, ip address, etc."
},
"unprotected": {
"type": "boolean",
"description": "Filter networks without assigned policy"
}
},
"required": [
"PCID"
]
}
dnsfilter_list_organizations
Get extant
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
basic_info | boolean | No | — | just return organizations basic info true/false, defaults to false |
exclude_inherit_privacy_mode | boolean | No | — | Exclude organizations that have inherit privacy mode |
managed_by_msp_id | integer | No | — | MSPs sub-organizations whose MSP ID matches this value |
name | string | No | — | Filter by organization name |
owned_msp_id | integer | No | — | Parent organizations whose MSP ID matches this value |
page | object | No | — | Page number and size |
pii_grid_search | string | No | — | Filter by organization name or privacy mode for pii grid search |
type | string | No | — | Filter by organization type |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"basic_info": {
"type": "boolean",
"description": "just return organizations basic info true/false, defaults to false"
},
"exclude_inherit_privacy_mode": {
"type": "boolean",
"description": "Exclude organizations that have inherit privacy mode"
},
"managed_by_msp_id": {
"type": "integer",
"description": "MSPs sub-organizations whose MSP ID matches this value"
},
"name": {
"type": "string",
"description": "Filter by organization name"
},
"owned_msp_id": {
"type": "integer",
"description": "Parent organizations whose MSP ID matches this value"
},
"page": {
"type": "object",
"description": "Page number and size",
"properties": {
"number": {
"type": "integer",
"description": "The number value"
},
"size": {
"type": "integer",
"description": "The size value"
}
}
},
"pii_grid_search": {
"type": "string",
"description": "Filter by organization name or privacy mode for pii grid search"
},
"type": {
"type": "string",
"description": "Filter by organization type",
"enum": [
"normal",
"msp",
"sub_organization"
]
}
},
"required": [
"PCID"
]
}
dnsfilter_suggest_domain_threat
Suggest threat
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
categories | string | No | — | Suggested security categories, comma separated IDs |
fqdn | string | Yes | — | FQDN to verify |
notes | string | Yes | — | User notes about the threat suggestion/verification |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"categories": {
"type": "string",
"description": "Suggested security categories, comma separated IDs"
},
"fqdn": {
"type": "string",
"description": "FQDN to verify"
},
"notes": {
"type": "string",
"description": "User notes about the threat suggestion/verification"
}
},
"required": [
"PCID",
"fqdn",
"notes"
]
}
dnsfilter_verify_ip_address
Verify IP
Parameters:
| Parameter | Type | Required | Default | Description |
|---|
ip_address | object | Yes | — | IP address creation request parameters |
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ip_address": {
"type": "object",
"description": "IP address creation request parameters",
"properties": {
"address": {
"type": "string",
"description": "IP address"
},
"organization_id": {
"type": "integer",
"description": "Organization ID that the IP address belongs to"
},
"network_id": {
"type": "integer",
"description": "Network ID that the IP address belongs to"
},
"dynamic_hostname": {
"type": "string",
"description": "Dynamic hostname of the IP address"
}
},
"required": [
"address",
"organization_id",
"network_id"
]
}
},
"required": [
"PCID",
"ip_address"
]
}